.SUFFIXES : .class .java

JC = javac
JFLAGS =

.java.class:
	$(JC) $(JFLAGS) $<

all: SNServer SNClient jwrite jlogon jlogoff jlocate

jar: SNServer SNClient jwrite jlogon jlogoff jlocate
	cd ..\..\..\..
	jar cvf0 com\ibm\devtools\SIPNoTE\SIPNoTE.jar com\ibm\devtools\SIPNoTE\*.class

doc: SNServer SNClient jwrite jlogon jlogoff jlocate
	javadoc -d docs com.ibm.devtools.SIPNoTE

SNServer: SNServer.class DebugDefine.class FromEntity.class HostRecord.class JephyrSIPTransform.class JMessage.class MalformedHeaderException.class MalformedMessageException.class MalformedSIPurlException.class ModDataInputStream.class SIPMessage.class SIPurl.class ToEntity.class UserRecord.class ViaEntity.class

SNClient: SNClient.class DebugDefine.class FromEntity.class JephyrSIPTransform.class JephyrWnd.class JMessage.class JSendWnd.class MalformedHeaderException.class MalformedMessageException.class MalformedSIPurlException.class ModDataInputStream.class SIPMessage.class SIPurl.class SNWatch.class ToEntity.class ViaEntity.class

jwrite: jwrite.class JMessage.class

jlogon: jlogon.class JMessage.class

jlogoff: jlogoff.class JMessage.class

jlocate: jlocate.class JMessage.class
